__SKB_FILL_PAGE_DESC(9)

NAME
__skb_fill_page_desc - initialise a paged fragment in an skb

SYNOPSIS

void __skb_fill_page_desc(struct sk_buff * skb, int i, struct page * page, int off, int size);

ARGUMENTS

skb
    buffer containing fragment to be initialised

i
    paged fragment index to initialise

page
    the page to use for this fragment

off
    the offset to the data with page

size
    the length of the data

DESCRIPTION

Initialises the i'th fragment of skb to point to size bytes at offset off within page.

Does not take any additional reference on the fragment.

COPYRIGHT